﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace FanChartEx.ViewModels
{
    class FanViewModel
    {
        public ObservableCollection<DataPoint> FanSource { get; set; }

        public FanViewModel()
        {
            FanSource = new ObservableCollection<DataPoint>();
            DateTime ptDt = new DateTime(2014,1,1);

            Random r = new Random();
            for (int i = 0; i < 10; i++)
            {
                DataPoint dp = new DataPoint() { Date = ptDt };
                if (ptDt < DateTime.Now)
                {
                    dp.ActualCentralValue = r.Next(15, 30);
                    dp.MaxEstValue = Double.NaN;
                    dp.MinEstValue = Double.NaN;

                }
                else
                {
                    int Min = r.Next(15, 25);
                    int Max = r.Next(25, 35);
                    dp.MinEstValue = Min;
                    dp.MaxEstValue = Max;
                    dp.ActualCentralValue = r.Next(Min, Max);
                }

                FanSource.Add(dp);
                ptDt = ptDt.AddMonths(1);

            }
            for (int i = 10; i < 15; i++)
            {
                DataPoint dp = new DataPoint() { Date = ptDt };

                int Min = r.Next(5, 25);
                int Max = r.Next(25, 50);
                dp.MinEstValue = Min;
                dp.MaxEstValue = Max;
                dp.ActualCentralValue = r.Next(Min, Max);
                FanSource.Add(dp);
                ptDt = ptDt.AddMonths(1);
            }
        }

    }

    public class DataPoint
    {
        public Double MaxEstValue { get; set; }
        public Double ActualCentralValue { get; set; }
       
        public Double MinEstValue { get; set; }
        public DateTime Date { get; set; }
    }
}


